---
title: font-weight
slug: Web/SVG/Attribute/font-weight
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>font-weight</code></strong> attribute refers to the boldness or lightness of the glyphs used to render the text, relative to other fonts in the same font family.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>font-weight</code> can be used as a CSS property. See the {{cssxref("font-weight", "CSS font-weight")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eight elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[2,3]">&lt;svg viewBox="0 0 200 30" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text y="20" font-weight="normal"&gt;Normal text&lt;/text&gt;
  &lt;text x="100" y="20" font-weight="bold"&gt;Bold text&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "30")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>normal</code> | <code>bold</code> | <code>bolder</code> | <code>lighter</code> | {{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>normal</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p>For a description of the values, please refer to the <a href="/en-US/docs/Web/CSS/font-weight#Values">CSS <code>font-weight</code></a> property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Fonts", "#font-weight-prop", "font-weight")}}</td>
   <td>{{Spec2("CSS4 Fonts")}}</td>
   <td>Defines <code>font-weight</code> to accept any numbers between 1 and 1000.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Fonts", "#font-weight-prop", "font-weight")}}</td>
   <td>{{Spec2("CSS3 Fonts")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#FontWeightProperty", "font-weight")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.font-weight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-weight", "CSS font-weight")}}</li>
</ul>
